SQUASHFS-MOUNT(1)

NAME
squashfs-mount - setuid utility instead of FUSE for mounting squashfs files

SYNOPSIS
squashfs-mount <image>:<mountpoint> [<image>:<mountpoint>]... -- <command> [args...]

DESCRIPTION
This manual page documents briefly the squashfs-mount command.

squashfs-mount is is a small setuid utility for mounting squashfs files. It effectively runs mount -n -o loop,nosuid,nodev,ro -t squashfs [image] [mountpoint] in a mount namespace and then executes the given command as the invoking user.

OPTIONS
A summary of options is included below.

-h  Prints a short usage information.

-v  Prints the version of the program.

AUTHOR
squashfs-mount was written by Ben Cumming, Simon Pintarelli and Harmen Stoppels at the CSCS (Centro Svizzero di Calcolo Scientifico).

This manual page was written by Salvatore Bonaccorso <carnil@debian.org>, for the Debian project (but may be used by others).